<?php

/**
 * @file
 * Page callbacks for the Editor module.
 */

/**
 * AJAX callback: Apply the necessary XSS filtering for using a certain text
 * format's editor.
 *
 * @param $format
 *   An object representing a text format.
 */
function editor_ajax_filter_xss($format) {
  $value = $_POST['value'];
  if (!isset($value)) {
    watchdog('editor', 'Invalid form POST data.', array(), WATCHDOG_WARNING);
    drupal_exit();
  }

  // The original_format parameter will only exist when switching text format.
  $original_format_id = $_POST['original_format_id'];
  $original_format = NULL;
  if (isset($original_format_id)) {
    $original_format = filter_format_load($original_format_id);
  }

  drupal_json_output(editor_filter_xss($value, $format, $original_format));
}
