<?php

/**
 * @file
 * Editor hooks implemented by the Editor CKEditor module.
 */

/**
 * Implements hook_editor_info().
 */
function editor_ckeditor_editor_info() {
  $editors['ckeditor'] = array(
    'label' => t('CKEditor'),
    'supports_content_filtering' => TRUE,
    'supports_inline_editing' => TRUE,
    'is_xss_safe' => FALSE,
    'supported_element_types' => array(
      "textarea"
    ),
    'default settings' => array(
      'toolbar' => array(
        array(
          array(
            'name' => t('Formatting'),
            'items' => array('Bold', 'Italic', 'Blockquote', 'Format'),
          ),
          array(
            'name' => t('Lists'),
            'items' => array('BulletedList', 'NumberedList'),
          ),
          array(
            'name' => t('Alignment'),
            'items' => array('JustifyLeft', 'JustifyCenter', 'JustifyRight'),
          ),
          array(
            'name' => t('Linking'),
            'items' => array('DrupalLink', 'DrupalUnlink'),
          ),
          array(
            'name' => t('Media'),
            'items' => array('DrupalImage'),
          ),
          array(
            'name' => t('Tools'),
            'items' => array('Source', 'Maximize'),
          ),
        ),
      ),
    ),
    'file' => 'includes/editor_ckeditor.admin.inc',
    'libraries callback' => 'editor_ckeditor_get_libraries',
    'settings callback' => 'editor_ckeditor_settings_form',
    'js settings callback' => 'editor_ckeditor_get_settings',
  );

  return $editors;
}
